<h1 mat-dialog-title> Test Telnet</h1>
<form #f="ngForm" id="form">
  <div mat-dialog-content ng-controller="ExampleController">
    <mat-form-field class="mb-2">
      <!--  <div id="output" *ngFor="let data of output">
        <p><strong>{{data.handle}} : </strong>{{data.message}}</p>
    </div> -->
    
      <mat-label>Host</mat-label>
    <input matInput #hst="ngModel" required name="host" [(ngModel)]="host">
     <!--  <input  id="handle" type="text" #hst="ngModel" [(ngModel)]="host" placeholder="host" />-->
      <mat-error *ngIf="hst.touched && hst.invalid">Host est obligatoire</mat-error>
    </mat-form-field>
  
    <mat-form-field>
      <mat-label>Port</mat-label>
      <input matInput #prt="ngModel" required name="port" [(ngModel)]="port"> 
    <!--  <input id="message" type="text" #prt="ngModel" [(ngModel)]="port" placeholder="port" autocomplete="off"
  (keypress)="messageTyping()" />-->
      <mat-error *ngIf="prt.touched && prt.invalid"> Port est obligatoire </mat-error>
    </mat-form-field>

  </div>
  <div mat-dialog-actions>
    <button mat-button (click)="onNoClick()" >Annuler</button>
    <button mat-button [disabled]="f.invalid" (click)="conect(f)" cdkFocusInitial close>Tester</button>
  <!-- 
   <button mat-button [disabled]="f.invalid" type="button" id="send" style="cursor: pointer;" (click)="conect(f)">Ok</button>
  -->
  
  </div>
</form>

 

